{
  "version": "0.2.0",
  "configurations": [{
      "name": "Start Rails server",
      "type": "Ruby",
      "request": "launch",
      "program": "./bin/rails",
      "args": [
        "server",
        "-p",
        "3000"
      ]
    },
    // {
    //   "name": "Debug Rails server",
    //   "type": "Ruby",
    //   "request": "launch",
    //   "useBundler": true,
    //   "pathToBundler": "./bin/bundle",
    //   "pathToRDebugIDE": "~/.rbenv/versions/2.6.5/lib/ruby/gems/2.6.0/gems/ruby-debug-ide-0.7.2",
    //   "program": "./bin/rails",
    //   "args": [
    //     "server",
    //     "-p",
    //     "3000"
    //   ]
    // },
    {
      "name": "Run RSpec - all",
      "type": "Ruby",
      "request": "launch",
      "program": "~/.rbenv/shims/rspec",
      "args": [
        "--pattern",
        "${workspaceRoot}/spec/**/*_rspec.rb"
      ]
    },
    {
      "name": "Debug RSpec - open spec file",
      "type": "Ruby",
      "request": "launch",
      "useBundler": true,
      "pathToBundler": "~/.rbenv/shims/bundle",
      "pathToRDebugIDE": "~/.rbenv/versions/2.6.5/lib/ruby/gems/2.6.0/gems/ruby-debug-ide-0.7.2",
      "debuggerPort": "1235",
      "program": "~/.rbenv/shims/rspec",
      "args": [
        "${file}"
      ]
    },
    {
      "name": "Debug RSpec - open spec file on a certain line",
      "type": "Ruby",
      "request": "launch",
      "useBundler": true,
      "pathToBundler": "~/.rbenv/shims/bundle",
      "pathToRDebugIDE": "~/.rbenv/versions/2.6.5/lib/ruby/gems/2.6.0/gems/ruby-debug-ide-0.7.2",
      "debuggerPort": "1235",
      "program": "~/.rbenv/shims/rspec",
      "args": ["${file}:${lineNumber}"]
    }
  ]
}